org.keycloak.services.resources.admin

## Class AdminConsole

- java.lang.Object
- - org.keycloak.services.resources.admin.AdminConsole

-     public class AdminConsole
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AdminConsole.WhoAmI`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AppAuthManager` | `authManager`
    `protected KeycloakApplication` | `keycloak`
    `protected static org.jboss.logging.Logger` | `logger`
    `protected javax.ws.rs.ext.Providers` | `providers`
    `protected ProviderSession` | `providerSession`
    `protected RealmModel` | `realm`
    `protected org.jboss.resteasy.spi.HttpRequest` | `request`
    `protected org.jboss.resteasy.spi.HttpResponse` | `response`
    `protected KeycloakSession` | `session`
    `protected javax.ws.rs.core.UriInfo` | `uriInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminConsole(RealmModel realm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationManager.InstallationAdapterConfig` | `config()` Adapter configuration for the admin console for this realm
    `protected RealmModel` | `getAdminstrationRealm(RealmManager realmManager)`
    `javax.ws.rs.core.Response` | `getKeycloakJs()` Javascript used by admin console
    `javax.ws.rs.core.Response` | `getMainPage()` Main page of this realm's admin console
    `javax.ws.rs.core.Response` | `getResource(String path)` Theme resources for this realm's admin console.
    `javax.ws.rs.core.Response` | `logout()` Logout from the admin console
    `javax.ws.rs.core.Response` | `whoAmI(javax.ws.rs.core.HttpHeaders headers)` Permission information

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### uriInfo

          @Context
          protected javax.ws.rs.core.UriInfo uriInfo

    - #### request

          @Context
          protected org.jboss.resteasy.spi.HttpRequest request

    - #### response

          @Context
          protected org.jboss.resteasy.spi.HttpResponse response

    - #### session

          @Context
          protected KeycloakSession session

    - #### providers

          @Context
          protected javax.ws.rs.ext.Providers providers

    - #### providerSession

          @Context
          protected ProviderSession providerSession

    - #### keycloak

          @Context
          protected KeycloakApplication keycloak

    - #### authManager

          protected AppAuthManager authManager

    - #### realm

          protected RealmModel realm

  - ### Constructor Detail

    - #### AdminConsole

          public AdminConsole(RealmModel realm)

  - ### Method Detail

    - #### config

          @Path(value="config")
          @GET
          @Produces(value="application/json")
          public ApplicationManager.InstallationAdapterConfig config()

      Adapter configuration for the admin console for this realm
      Returns:

    - #### whoAmI

          @Path(value="whoami")
          @GET
          @Produces(value="application/json")
          public javax.ws.rs.core.Response whoAmI(@Context
                                                           javax.ws.rs.core.HttpHeaders headers)

      Permission information
      Parameters:
        `headers` -
      Returns:

    - #### logout

          @Path(value="logout")
          @GET
          public javax.ws.rs.core.Response logout()

      Logout from the admin console
      Returns:

    - #### getAdminstrationRealm

          protected RealmModel getAdminstrationRealm(RealmManager realmManager)

    - #### getMainPage

          @GET
          public javax.ws.rs.core.Response getMainPage()
                                                throws URISyntaxException

      Main page of this realm's admin console
      Returns:
      Throws:
        `URISyntaxException`

    - #### getKeycloakJs

          @GET
          @Path(value="js/keycloak.js")
          @Produces(value="text/javascript")
          public javax.ws.rs.core.Response getKeycloakJs()

      Javascript used by admin console
      Returns:

    - #### getResource

          @GET
          @Path(value="{path:.+}")
          public javax.ws.rs.core.Response getResource(@PathParam(value="path")
                                                       String path)

      Theme resources for this realm's admin console. (images, html files, etc..)
      Parameters:
        `path` -
      Returns:

Copyright © 2014. All Rights Reserved.